1

I'm trying to install Qt Charts and Qt Data Visualization modules from Ubuntu repository, but I cannot find them. Are they available in the repository?

Ubuntu: Zesty (17.04)

I get the following error while I'm trying to compile this example from Qt website.

Project ERROR: Unknown module(s) in QT: charts
Project ERROR: Unknown module(s) in QT: charts
0

Qt can sometimes be difficult.

Here is what I do when trying to identify packages in Ubuntu :

  1. Search the repos - https://packages.ubuntu.com/

not in the repos

  1. Search for a ppa - https://www.google.com/search?q=ppa+qt+charts

Yields - https://gist.github.com/martyngigg/1e20eff3f6397dd118220317a3adf358

Instructions on that page, not sure if it will or will not work for you.

Qt data may be more difficult and may not be open source.

http://doc.qt.io/archives/qt-5.7/qtdatavisualization-getting-started.html

On ubuntu see Where is the Qt Maintenance Tool?

2
  • Unfortunately it didn't help me, because I want to find them in Ubuntu repository not ouside of official repositories. Also, Qt Charts and Qt Data Visualizations have been released under GPL from Qt 5.7 onwards. blog.qt.io/blog/2016/06/16/qt-5-7-released – salman Sep 24 '17 at 8:52
  • They are not in the Ubuntu repos. Ubuntu tends to lag a bit in packages, especially with Qt, new qt is generally not added pending a new release. – Panther Sep 24 '17 at 14:01

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.